<template>
  <div v-if="m && m.unionCityList">
    <div class="text-subtitle2 text-weight-bold">選擇出發城市</div>
    <div class="text-grey-6 f12 q-my-sm">此行程包含多個出發城市</div>
    <div class="row q-col-gutter-md">
        <div  v-for="(x,i) in m.unionCityList" :key="i"><q-chip size="14px" square>{{ x.cityName }}</q-chip></div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["price"],
  watch: {
    price: {
      handler(n, o) {
        this.m = n;
        console.log("startCity",n)
      },
      deep: true,
      immediate: true,
    },
  },
  data() {
    return {
      m: null,
    };
  },
  created() {
    this.m = this.price;
  },
  methods: {
  },
};
</script>

<style>

</style>